Loading...
Searching...
No Matches
IPv4 only
Infrastructure » IP address handling

## Macros

#define | ip_2_ip4(ipaddr)
#define | IP_ADDR_ANY IP4_ADDR_ANY
#define | IP4_ADDR_ANY (&ip_addr_any)
#define | IP4_ADDR_ANY4 (ip_2_ip4(&ip_addr_any))

## Detailed Description

## Macro Definition Documentation

## IP4_ADDR_ANY

#define IP4_ADDR_ANY (&ip_addr_any)

Can be used as a fixed/const ip_addr_t for the IPv4 wildcard and the broadcast address

## IP4_ADDR_ANY4

#define IP4_ADDR_ANY4 (ip_2_ip4(&ip_addr_any))

Can be used as a fixed/const ip4_addr_t for the wildcard and the broadcast address

## ip_2_ip4

#define ip_2_ip4 | ( |  | ipaddr | ) |

Value:
(&((ipaddr)->u_addr.ip4))

Convert generic ip address to specific protocol version

## IP_ADDR_ANY

#define IP_ADDR_ANY IP4_ADDR_ANY

Can be used as a fixed/const ip_addr_t for the IP wildcard. Defined to IP4_ADDR_ANY when IPv4 is enabled. Defined to IP6_ADDR_ANY in IPv6 only systems. Use this if you can handle IPv4 AND IPv6 addresses. Use IP4_ADDR_ANY or IP6_ADDR_ANY when the IP type matters.